<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('study_reports', function (Blueprint $table) {
            $table->id();
            $table->unsignedTinyInteger('report_status')->default(0);
            $table->foreignId('study_id')->constrained('studies');
            $table->foreignId('radiologist_id')->constrained('users');
            $table->string('file_path');
            $table->string('pdf_path')->nullable();
            $table->timestamps();

            $table->unique(['study_id', 'created_at']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('study_reports');
    }
};
